<?php
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

$idusuario = $_SESSION['id_usuario'];   // cadastrado por



$lote						= $_GET["lote"];
$idproduto						= $_GET["idproduto"];


function dados_empreendimentos($idquadra){
    include "conexao.php";

    $query = "SELECT * FROM produto  INNER JOIN empreendimento ON produto.empreendimento_idempreendimento=empreendimento.idempreendimento INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id=empreendimento_cadastro.idempreendimento_cadastro where produto.idproduto = '$idquadra'";

 
 $query_slide = mysqli_query($db, $query); 

            while ($buscar_slide = mysqli_fetch_assoc($query_slide)) {//--While categoria
          
             $quadra                        = $buscar_slide["quadra"];
             $descricao_empreendimento      = $buscar_slide["descricao_empreendimento"];
             $lote                          = $buscar_slide["lote"];

             $dados['quadra']                   =  $quadra; 
             $dados['descricao_empreendimento'] =  $descricao_empreendimento;
             $dados["lote"]                     = $lote;
}
return $dados;


}

function dados_lote($idlote){
    include "conexao.php";

    $query = "SELECT * FROM lote 
     where idlote = '$idlote'";

 $query_slide = mysqli_query($db, $query); 

            while ($buscar_slide = mysqli_fetch_assoc($query_slide)) {//--While categoria
          
             
             $lote      = $buscar_slide["lote"];
             
}
return $lote;


}


function nome_user($id){
	
    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = '$id'";
      

                $executa_igpm = mysqli_query ($db, $query_igpm);
                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 

//function que grava usuario que alterou e o que alterou
function grava_log($data_log,$usuario_id,$nome_cli,$descricao_log){
   
    include "conexao.php";
     $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usuario_id','$descricao_log')";
    
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }

$nome_usuario = nome_user($idusuario);
//$nome_cli  = nome_user($idcliente);
date_default_timezone_set('America/Sao_Paulo');
$data_log = date('d-m-Y H:i:s');
$usuario_id = $idusuario;

$dados_empreendimentos = dados_empreendimentos($idproduto);

$dados_lote = dados_lote($lote);

$desc_quadra = $dados_empreendimentos["quadra"];
$desc_empreendimento = $dados_empreendimentos["descricao_empreendimento"];

$descricao_log = "Usuário ".$nome_usuario ." desbloqueou o lote: ".$dados_lote." da Quadra: ".$desc_quadra." do empreendimento ".$desc_empreendimento;



$executa_log = grava_log($data_log,$usuario_id,$nome_cli,$descricao_log);




   include "conexao.php";

$up = mysqli_query($db, "UPDATE lote SET status='1', motivo_bloqueio = '' WHERE idlote =$lote");



 ?>

<script>
	window.location="cadastro_lote.php?idproduto=<?php echo $idproduto ?>";
</script>